Skip to main content
POST
/
storefronts
/
{storefrontId}
/
sources
/
{sourceId}
/
credentials
Register source credentials
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/buyer/storefronts/{storefrontId}/sources/{sourceId}/credentials \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accountIdentifier": "<string>"
}
'
{
  "id": "<string>",
  "accountIdentifier": "<string>",
  "status": "<string>",
  "registeredBy": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "oauth": {
    "authorizationUrl": "<string>",
    "agentId": "<string>",
    "agentName": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

storefrontId
integer
required

Storefront ID

Required range: x <= 9007199254740991
sourceId
string
required

Inventory source ID

Minimum string length: 1

Body

application/json
accountIdentifier
string
required

Unique account identifier for this agent

Required string length: 1 - 255
auth
object

Authentication credentials. Required for API_KEY/JWT agents, not needed for OAUTH agents.

marketplaceAccount
boolean

Admin-only flag. When true, creates a marketplace account instead of a client account.

Response

Register source credentials

Agent account resource

id
string
required

Account ID

accountIdentifier
string
required

Unique account identifier

status
string
required

Account status

registeredBy
string
required

Who registered this account

createdAt
string<date-time>
required

When the account was created (ISO 8601)

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
oauth
object

Present when OAUTH flow is needed